Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.code

# Enum StackEntryType

java.lang.Object
java.lang.Enum<StackEntryType>
org.jboss.classfilewriter.code.StackEntryType

All Implemented Interfaces:
  `Serializable`, `Comparable<StackEntryType>`, `java.lang.constant.Constable`

public enum StackEntryType extends Enum<StackEntryType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`NULL`
`OBJECT`
`TOP`
`UNINITIALIZED_THIS`
`UNITITIALIZED_OBJECT`

## Method Summary

Modifier and Type
Method
Description
`static StackEntryType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StackEntryType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP

public static final StackEntryType TOP

### INT

public static final StackEntryType INT

### FLOAT

public static final StackEntryType FLOAT

### DOUBLE

public static final StackEntryType DOUBLE

### LONG

public static final StackEntryType LONG

### NULL

public static final StackEntryType NULL

### UNINITIALIZED_THIS

public static final StackEntryType UNINITIALIZED_THIS

### OBJECT

public static final StackEntryType OBJECT

### UNITITIALIZED_OBJECT

public static final StackEntryType UNITITIALIZED_OBJECT

## Method Details

### values

public static StackEntryType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static StackEntryType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null